package com.qmth.sop.task.job;

import com.qmth.sop.common.contant.SystemConstant;
import com.qmth.sop.task.job.service.JobService;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @Description: 流程任务提醒job
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/7/9
 */
public class FlowTaskQuartzJob extends QuartzJobBean {
    private final static Logger log = LoggerFactory.getLogger(FlowTaskQuartzJob.class);

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        try {
            jobService.flowTaskRemindTask();
        } catch (Exception e) {
            log.error(SystemConstant.LOG_ERROR, e);
        }
    }
}
